Bug 191304 - Review Request: crossfire-client - Client programs for the crossfire game
Review Request: crossfire-client - Client programs for the crossfire game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On: 191305
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-10 13:03 EDT by Wart
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 01:19:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-05-10 13:03:10 EDT
Spec URL: http://www.kobold.org/~wart/fedora/crossfire-client.spec
SRPM URL: http://www.kobold.org/~wart/fedora/crossfire-client-1.9.0-2.src.rpm
Description:

Client for playing the new client/server based version of Crossfire.
This package allows you to connect to crossfire servers around the world.
You do not need install the crossfire server in order to use this
package.
Comment 1 Christopher Stone 2006-05-15 22:43:35 EDT
* rpmlint output clean
* Package named according to Package Naming Guidelines
* Spec file matches base package %{name}
* Package meets packaging guidelines
* License is open source compatible
* License matches actual license
* License file contained in %doc
* Spec file in American English
* Spec file is legible
* Source file matches upstream
62a9ac007700d1d811fa097fe6790f7a  crossfire-client-1.9.0.tar.gz
62a9ac007700d1d811fa097fe6790f7a  crossfire-client-1.9.0.tar.gz
* Package successfully builds for FC5 x86_64
* All build dependencies listed in Build Requires
* Package does not contain locales
* Package does not contain any shared libraries
* Package is not relocatable
* Package owns the directories it creates
* No duplicate files in %files
* %files contains acceptable %defattr settings
* Package contains acceptable %clean section
* Macro use is consistant
* Package contains permissible code
* No large amounts of documentation for a -doc package
* Files in %doc do not affect run time of application
* No header files or static libraries. or .pc files present
* No .so files present
* No devel package built
* No .la files present
* Package include .desktop file
  - Should probably use %{name}.desktop
* Package does not own files or directories owned by other packages

*** APPROVED ***

Non-Blocking SHOULDS:
- Contact upstream about sound problem (I'm assuming you already have done this)
- Contact upstream about -images package (Noted that you have done this)
- Build -sounds package when sound is working (Probably already on your TODO list)
Comment 2 Wart 2006-05-15 22:47:28 EDT
(In reply to comment #1)
> Non-Blocking SHOULDS:
> - Contact upstream about sound problem (I'm assuming you already have done this)
> - Contact upstream about -images package (Noted that you have done this)
> - Build -sounds package when sound is working (Probably already on your TODO list)

I had originally left sound support in, but upstream told me that it's broken on
2.6 kernels, so I turned it off.  It sounds like they plan to use SDL for sound
at some unspecified time in the future.  I definitely plan on adding support for
sound once it works again.
Comment 3 Wart 2006-05-17 00:11:21 EDT
Imported and built.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.